﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.ComponentModel;

namespace WorkCountdown7.Model
{
    public class TimerItem : INotifyPropertyChanged
    {
        private DateTime m_startTime;
        public DateTime StartTime
        {
            get { return this.m_startTime; }
            set
            {
                if (this.m_startTime != value)
                {
                    this.m_startTime = value;
                    this.OnPropertyChanged("StartTime");
                }
            }
        }

        private DateTime? m_stopTime;
        public DateTime? StopTime
        {
            get { return this.m_stopTime; }
            set
            {
                if (this.m_stopTime != value)
                {
                    this.m_stopTime = value;
                    this.OnPropertyChanged("StopTime");
                }
            }
        }

        protected void OnPropertyChanged(string propertyName)
        {
            if (PropertyChanged != null)
                PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
        }

        public event PropertyChangedEventHandler PropertyChanged;
    }
}
